PyQt5 (Qt5.8) bundled QML application fails to load Popup.qml

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

PyQt5 (Qt5.8) bundled QML application fails to load Popup.qml

Manuel Koch
I'm trying to bundle a PyQt5 application that uses QML with help of PyInstaller.

The application runs as intended when using plain Python interpreter from a virtualenv.
Somehow the application fails to load certain QML types when it runs as a bundled application under MacOs Sierra.

56 INFO: PyInstaller: 3.2.1
56 INFO: Python: 3.5.3
64 INFO: Platform: Darwin-16.4.0-x86_64-i386-64bit

Runtime error is e.g. :
qrc:/qml/RepoView.qml(187): qrc:/qml/RepoView.qml:187:17: Type Popup unavailable
file:///private/var/folders/2d/gf2xnyt14pg4_5xkvg4fx3k40000gn/T/_MEInbGVdm/qml/QtQuick/Controls.2/Popup.qml(-1): file:///private/var/folders/2d/gf2xnyt14pg4_5xkvg4fx3k40000gn/T/_MEInbGVdm/qml/QtQuick/Controls.2/Popup.qml: No such file or directory
qrc:/qml/Main.qml:95:23: Type RepoView unavailable
qrc:/qml/RepoView.qml:187:17: Type Popup unavailable
file:///private/var/folders/2d/gf2xnyt14pg4_5xkvg4fx3k40000gn/T/_MEInbGVdm/qml/QtQuick/Controls.2/Popup.qml: No such file or directory

The mentioned file Popup.qml doesn't exist as-is in the given directory !?
$ ls /private/var/folders/2d/gf2xnyt14pg4_5xkvg4fx3k40000gn/T/_MEInbGVdm/qml/QtQuick/Controls.2
Material                        Universal                       libqtquickcontrols2plugin.dylib plugins.qmltypes                qmldir

I can get the application to run without such errors when I just don't use Popup type from QML ( http://doc.qt.io/qt-5/qml-qtquick-controls2-popup.html ).
I noticed that there are simiral problems when I try to use e.g. ComboBox from the same qml quick area ( http://doc.qt.io/qt-5/qml-qtquick-controls2-combobox.html ).
Thus I think it is a general problem ralated to qtquick-controls2 !?

I appreciate any hint to solve this problem !

kind regards
Manuel



--
You received this message because you are subscribed to the Google Groups "PyInstaller" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
Visit this group at https://groups.google.com/group/pyinstaller.
For more options, visit https://groups.google.com/d/optout.
Loading...